#
# spec file for package mfsm (Version 1.3)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mmslib mmcore mmbase xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         mfsm
Release:      0
Copyright:    GPL Shane D. Hill
Group: 
Provides:     mfsm 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.3 
Summary:      mfsm
Source: mfsm-1.3.tar.gz
#Patch: 
%description
X-Windows Motif utility that monitors free space and user
quotas of filesystems.

Authors:
--------
    Shane D. Hill <Shane.Hill@dsto.defence.gov.au>

%prep
%setup -n mfsm-1.3
#%patch
%build
xmkmf -a
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make LDFLAGS="-L/usr/X11R6/lib"
mv mfsm mfsm.SuSE-dynamic
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking static
make LDFLAGS="-L/usr/X11R6/lib"
mv mfsm mfsm.SuSE-static
#make
%install
install -m 0755 -s mfsm.SuSE-dynamic /usr/X11R6/bin
install -m 0755 -s mfsm.SuSE-static /usr/X11R6/bin
make install.man
ln -s /usr/X11R6/bin/mfsm.SuSE-static /usr/X11R6/bin/mfsm
Check
%files
/usr/X11R6/bin/mfsm
/usr/X11R6/bin/mfsm.SuSE-dynamic
/usr/X11R6/bin/mfsm.SuSE-static
%doc /usr/X11R6/man/man1/mfsm.1x.gz
%doc README THANKS TODO FIXES

